import java.util.regex.*;

public class RegularExpressionsExample {
    public static void main(String args[]) {
        String contentString = "In the morning, " +
                "I like to drink 15 cups of coffee.";

        String morningRegularExpression = ".*morning.*";
        String cupCountRegularExpression = ".*(\\d+)\\s+cups\\s+of\\s+(\\w+).*";

        boolean matchesMorningPattern = Pattern.matches(morningRegularExpression, contentString);
        boolean matchesCupsPattern = Pattern.matches(cupCountRegularExpression, contentString);

        System.out.println("The text contains 'morning'? " + matchesMorningPattern);
        System.out.println("The text contains cup count? " + matchesCupsPattern);

        Pattern cupCountPattern = Pattern.compile(cupCountRegularExpression);


        Matcher matcher = cupCountPattern.matcher(contentString);

        if (matcher.find()) {
            System.out.println("Whole match: " + matcher.group(0) );
            System.out.println("First group: " + matcher.group(1) );
            System.out.println("Second group: " + matcher.group(2) );
        } else {
            System.out.println("NO MATCH");
        }

        int cupCount = Integer.parseInt(matcher.group(1));
        String substance = matcher.group(2).toString();

        System.out.println("Magnificent7".replaceAll("(?<!ent)\\d", "8"));

        // do something with cupCount, substance ...
    }
}
